import 'package:flutter/material.dart';
import 'package:healthrian_ble_support/healthrian_ble_support.dart';
import 'package:healthrian_visualization_support/'
    'healthrian_visualization_support.dart';

class BlePage extends StatelessWidget {
  const BlePage({super.key});

  @override
  Widget build(BuildContext context) {
    BLEManager().manageWearEcg12.skipPacketCount = 1;
    return SafeArea(
      child: Scaffold(
        body: ListView(
          children: const [
            Row(
              children: [
                // ConnectionStateWearEcg(),
                EcgHeartbeatWearEcg(),
              ],
            ),
            EcgWearECG(),
          ],
        ),
        floatingActionButton: const ControlPanelWearEcg(),
      ),
    );
  }
}
